
QGIS Application - Bug report #22003

Almost Instant Crash

2019-05-06 02:37 PM - Jamie Bridges

Status: Feedback

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.6.2 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29818

Description

Installed QGIS on May 3. Added a basemap and a shapefile. Application crashed a few times while I did, but not enough for me to lose

work, or even be discouraged. Opened the file an hour ago. Crash crash crash. Could not save, save as. Deleted project. Still crashes.

Bug report as follows:

Crash ID: 8c6d07309af78fe3bf5276a86cd20061d3a8596a

Stack Trace

RtlFreeHeap :

HeapFree :

free :

DllUnregisterServer :

DllUnregisterServer :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

IsEqualGUID :

IsEqualGUID :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

ObjectStublessClient6 :

CoCreateInstanceEx :

ObjectStublessClient32 :

SHParseDisplayName :

Ordinal866 :

ILSaveToStream :

ShellExecuteExW :

ShellExecuteExW :

ShellExecuteExW :

Ordinal860 :

ShellExecuteExW :

ExtractIconExW :

DllCanUnloadNow :

DllCanUnloadNow :

DllCanUnloadNow :
DllCanUnloadNow :

IUnknown_SetSite :

DllGetClassObject :

DllGetClassObject :

DllCanUnloadNow :

DllCanUnloadNow :

DllCanUnloadNow :

DllCanUnloadNow :

DllCanUnloadNow :

DllCanUnloadNow :

GetMenuStringW :

CreateDialogParamW :

CreateDialogParamW :

TranslateMessageEx :

GetMenuStringW :

GetComboBoxInfo :

DialogBoxIndirectParamAorW :

DialogBoxIndirectParamW :

DllCanUnloadNow :

QDialog::exec :

QFileDialog::getSaveFileUrl :

QFileDialog::getSaveFileName :

QgisApp::fileSaveAs :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QMenu::metaObject :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :
TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.2-Noosa

QGIS code revision: 656500e0c4

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2019-05-06 02:51 PM - Jürgen Fischer

- Status changed from Open to Feedback

Looks like it's crashing in Explorer - this might be related to some file type in the directory you trying to browse that has third-party support for e.g.

previews.  Can you pin it to a specific directory, maybe even the affected file type or maybe something you installed meanwhile?

#2 - 2019-05-06 03:38 PM - Jamie Bridges

I don't mean to sound clueless (but I am). How do I pin it to a certain directory?

#3 - 2019-05-06 04:05 PM - Jürgen Fischer

[I meant pinpoint].

Jamie Bridges wrote:

I don't mean to sound clueless (but I am). How do I pin it to a certain directory?

Does that only happen in certain directories?   Do they contain file types that unaffected directories don't?

#4 - 2019-05-06 04:32 PM - Jamie Bridges

Once I open the application, QGIS crashes if I:
attempt to add a shapefile (before I can even select one)

bookmark a view (I can add a basemap via QMS)  

save or save as a blank project

I tried to save to a folder in "documents" and I tried to save to a file on the desktop. crashes before I have a chance to select.

I am at work, and work on a network drive. I have an older version on the home desktop, and it worked just fine post-install. I wonder if this is a work

network issue or if it is a new version issue.

#5 - 2019-05-07 09:35 AM - Giovanni Manghi

I am at work, and work on a network drive.

so it only happens when choosing files on network drives?

#6 - 2019-05-07 06:45 PM - Jamie Bridges

I can open QGIS, and I can add a basemap via tile or quick map. But it crashes before I can save a bookmark, add a layer, save the project. I don't want to

waste your time. I should contact an admin on this side to see what I can learn. Let me ask, can I revert to the long term release without removing and

reloading QGIS?
